<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{profileResourceLinkManager.initializePage()}
            <h1>#{messages['gazelle.hl7.validator.ManageLinksBetweenProfilesAndResources']}</h1>
            <s:div id="globalDiv">
                <s:div id="resourcesDiv">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.hl7.validator.SelectTheResourcesToLink']}
                        </ui:define>
                        <h:outputText value="#{messages['gazelle.hl7.validator.BelowIsTheListOfAvailableResources']}"/>
                        <rich:dataTable value="#{profileResourceLinkManager.availableResources}" var="hl7table">
                            <ui:include src="/columns/resource.xhtml">
                                <ui:param name="datatable" value="#{hl7table}"/>
                            </ui:include>
                            <g:column>
                                <ui:define name="header">#{messages['gazelle.hl7mpr.Action']}</ui:define>
                                <a4j:commandLink id="addButton" actionListener="#{profileResourceLinkManager.selectResource(hl7table)}"
                                                 render="resourcesDiv">
                                    <i class="gzl-icon-plus fa-2x"></i>
                                </a4j:commandLink>
                            </g:column>
                        </rich:dataTable>
                    </ui:decorate>
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.hl7.validator.SelectedResources']}
                        </ui:define>
                        <h:outputText
                                value="#{messages['gazelle.hl7.validator.BelowIsTheListOfResourcesYouHaveSelectedForLinki']}"/>
                        <rich:dataTable value="#{profileResourceLinkManager.selectedResources}" var="selectedResource">
                            <ui:include src="/columns/resource.xhtml">
                                <ui:param name="datatable" value="#{selectedResource}"/>
                            </ui:include>
                        </rich:dataTable>
                    </ui:decorate>
                </s:div>
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    #{messages['gazelle.hl7.validator.SearchForProfileToLinkToTheSelectedResources']}
                </ui:define>
                    <h:outputText
                            value="#{messages['gazelle.hl7.validator.YouCanSelectEitherSelectASingleProfileByItsOIDOr']}"/>
                    <ui:decorate template="/layout/panels/_panel.xhtml">
                        <div class="form-inline">
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7mpr.profileOid']}</ui:define>
                                <h:inputText value="#{profileResourceLinkManager.profileOid}" styleClass="form-control"/>
                            </ui:decorate>
                        </div>
                    </ui:decorate>
                    <ui:decorate template="/layout/panels/_panel.xhtml">
                        <div class="form-inline">
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="domainKeyword"/>
                                <ui:define name="label">#{messages['gazelle.hl7.validator.DomainKeyword']}</ui:define>
                                <h:inputText id="domainKeyword" value="#{profileResourceLinkManager.wsParams.domainKeyword}"
                                             styleClass="form-control labelOnTopForm"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="actorKeyword"/>
                                <ui:define name="label">#{messages['gazelle.hl7.validator.ActorKeyword']}</ui:define>
                                <h:inputText id="actorKeyword" value="#{profileResourceLinkManager.wsParams.actorKeyword}"
                                             styleClass="form-control labelOnTopForm"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="transactionKeyword"/>
                                <ui:define name="label">#{messages['gazelle.hl7.validator.TransactionKeyword']}</ui:define>
                                <h:inputText id="transactionKeyword" value="#{profileResourceLinkManager.wsParams.transactionKeyword}"
                                             styleClass="form-control labelOnTopForm"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="messageType"/>
                                <ui:define name="label">#{messages['gazelle.hl7.validator.MessageType']}</ui:define>
                                <h:inputText id="messageType" value="#{profileResourceLinkManager.wsParams.messageType}"
                                             styleClass="form-control labelOnTopForm"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/form/_edit.xhtml">
                                <ui:param name="id" value="hl7version"/>
                                <ui:define name="label">#{messages['gazelle.hl7.validator.HL7Versionex25']}</ui:define>
                                <h:inputText id="hl7version" value="#{profileResourceLinkManager.wsParams.hl7VersionNumber}"
                                             styleClass="form-control labelOnTopForm"/>
                            </ui:decorate>
                        </div>
                    </ui:decorate>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.hl7.validator.ResetFilters']}"
                                           actionListener="#{profileResourceLinkManager.resetFilters()}"
                                           render="profileFilters,selectedProfiles"
                                           styleClass="gzl-btn"/>
                        <a4j:commandButton value="#{messages['gazelle.hl7mpr.search']}"
                                           actionListener="#{profileResourceLinkManager.getProfileReferencesFiltered()}"
                                           render="selectedProfiles"
                                           styleClass="gzl-btn-blue"/>
                    </ui:define>
                </ui:decorate>
                <s:div id="selectedProfiles">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.hl7.validator.SelectedProfiles']}
                        </ui:define>
                        <rich:messages globalOnly="true" styleClass="message"/>
                        <rich:dataTable id="profilesTable" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        value="#{profileResourceLinkManager.selectedProfiles}" var="varProfile"
                                        render="ds">
                            <ui:include src="/columns/profileReferences.xhtml">
                                <ui:param name="currentProfile" value="#{varProfile}"/>
                            </ui:include>
                            <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="profilesTable"/>
                                    </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <ui:define name="panel_footer">
                            <a4j:commandButton
                                    value="#{messages['gazelle.hl7.validator.LinkTheProfilesDisplayedBelowToTheSelectedResour']}"
                                    actionListener="#{profileResourceLinkManager.createLink()}"
                                    render="globalForm"
                                    styleClass="gzl-btn-green"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
